VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::service::OperationStub Class Reference

Remote stub implementation of the Operation API service. More...

Inherits vmware::vapi::metadata::metamodel::service::Operation.

List of all members.

## Public Member Functions
| OperationStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < string > | List (string serviceId)
| Returns the identifiers for the operation elements that are defined in the scope of serviceId .
global::System.Collections.Generic.List < string > | List (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the operation elements that are defined in the scope of serviceId .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (string serviceId)
| Returns the identifiers for the operation elements that are defined in the scope of serviceId .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the operation elements that are defined in the scope of serviceId .
vmware.vapi.metadata.metamodel.OperationInfo | Get (string serviceId, string operationId)
| Retrieves the metamodel information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .
vmware.vapi.metadata.metamodel.OperationInfo | Get (string serviceId, string operationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the metamodel information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.OperationInfo > | GetAsync (string serviceId, string operationId)
| Retrieves the metamodel information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.OperationInfo > | GetAsync (string serviceId, string operationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the metamodel information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .

## Detailed Description

Remote stub implementation of the Operation API service.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::service::OperationStub::OperationStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.vapi.metadata.metamodel.OperationInfo vmware::vapi::metadata::metamodel::service::OperationStub::Get | ( | string | serviceId,
|  | string | operationId
| ) |  | `[inline]`

Retrieves the metamodel information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist in any of the package elements.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not exist in the service element.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  operationId | Identifier of the operation element. The parameter must be an identifier for the resource type: `com.vmware.vapi.operation` .

Returns:
  The vmware.vapi.metadata.metamodel.OperationInfo instance that corresponds to operationId defined in scope serviceId .

Implements vmware::vapi::metadata::metamodel::service::Operation.

vmware.vapi.metadata.metamodel.OperationInfo vmware::vapi::metadata::metamodel::service::OperationStub::Get | ( | string | serviceId,
|  | string | operationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves the metamodel information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist in any of the package elements.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not exist in the service element.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  operationId | Identifier of the operation element. The parameter must be an identifier for the resource type: `com.vmware.vapi.operation` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The vmware.vapi.metadata.metamodel.OperationInfo instance that corresponds to operationId defined in scope serviceId .

Implements vmware::vapi::metadata::metamodel::service::Operation.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.OperationInfo> vmware::vapi::metadata::metamodel::service::OperationStub::GetAsync | ( | string | serviceId,
|  | string | operationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves the metamodel information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist in any of the package elements.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not exist in the service element.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  operationId | Identifier of the operation element. The parameter must be an identifier for the resource type: `com.vmware.vapi.operation` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The vmware.vapi.metadata.metamodel.OperationInfo instance that corresponds to operationId defined in scope serviceId .

Implements vmware::vapi::metadata::metamodel::service::Operation.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.OperationInfo> vmware::vapi::metadata::metamodel::service::OperationStub::GetAsync | ( | string | serviceId,
|  | string | operationId
| ) |  | `[inline]`

Retrieves the metamodel information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist in any of the package elements.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not exist in the service element.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  operationId | Identifier of the operation element. The parameter must be an identifier for the resource type: `com.vmware.vapi.operation` .

Returns:
  The vmware.vapi.metadata.metamodel.OperationInfo instance that corresponds to operationId defined in scope serviceId .

Implements vmware::vapi::metadata::metamodel::service::Operation.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::service::OperationStub::List | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the operation elements that are defined in the scope of serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist in any of the package elements.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers for the operation elements that are defined in the scope of serviceId . The result will contain identifiers for the resource type: `com.vmware.vapi.operation` .

Implements vmware::vapi::metadata::metamodel::service::Operation.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::service::OperationStub::List | ( | string | serviceId | ) | `[inline]`

Returns the identifiers for the operation elements that are defined in the scope of serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist in any of the package elements.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  The list of identifiers for the operation elements that are defined in the scope of serviceId . The result will contain identifiers for the resource type: `com.vmware.vapi.operation` .

Implements vmware::vapi::metadata::metamodel::service::Operation.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::service::OperationStub::ListAsync | ( | string | serviceId | ) | `[inline]`

Returns the identifiers for the operation elements that are defined in the scope of serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist in any of the package elements.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  The list of identifiers for the operation elements that are defined in the scope of serviceId . The result will contain identifiers for the resource type: `com.vmware.vapi.operation` .

Implements vmware::vapi::metadata::metamodel::service::Operation.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::service::OperationStub::ListAsync | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the operation elements that are defined in the scope of serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist in any of the package elements.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers for the operation elements that are defined in the scope of serviceId . The result will contain identifiers for the resource type: `com.vmware.vapi.operation` .

Implements vmware::vapi::metadata::metamodel::service::Operation.

The documentation for this class was generated from the following file:

- metamodel/service/OperationStub.cs